import 'package:diplomaticquarterapp/core/model/prescriptions/prescription_report.dart';
import 'package:diplomaticquarterapp/core/viewModels/project_view_model.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/button.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:diplomaticquarterapp/core/model/prescriptions/Prescriptions.dart';

class PrescriptionDeliveryAddressPage extends StatelessWidget {
  final Prescriptions prescriptions;

  const PrescriptionDeliveryAddressPage({Key key, this.prescriptions})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    ProjectViewModel projectViewModel = Provider.of(context);

    return AppScaffold(
      isShowAppBar: true,
        appBarTitle: 'Delivery Address',
        body: SingleChildScrollView(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 15,
              ),
              InkWell(
                onTap: () {},
                child: Container(
                  margin: EdgeInsets.only(left: 10, right: 10, top: 15),
                  height: 50,
                  decoration: BoxDecoration(
                    border: Border.all(color: Colors.grey),
                    borderRadius: BorderRadius.circular(7),
                    color: Colors.white,
                    shape: BoxShape.rectangle,
                  ),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: <Widget>[
                      Container(
                        child: Texts(
                          'Selected Address',
                          variant: 'bodyText',
                        ),
                        margin: EdgeInsets.only(left: 10, right: 10),
                      ),
                      Icon(
                        Icons.arrow_drop_down,
                        size: 22,
                        color: Colors.grey,
                      )
                    ],
                  ),
                ),
              ),
              SizedBox(
                height: 15,
              ),
              Container(

                child: Image.asset(projectViewModel.isArabic
                    ? 'assets/images/pharmacy/shipping_image_ar.png'
                    : 'assets/images/pharmacy/shipping_image.png',height: 300,),
              )
            ],
          ),
        ),
        bottomSheet: Container(
          width: double.infinity,
          height: MediaQuery.of(context).size.height * 0.25,
          color: Colors.grey[100],
          child: Column(
            children: <Widget>[
              Divider(),
              Container(
                width: MediaQuery.of(context).size.width * 0.8,
                child: Button(
                  label: 'Add New Address'.toUpperCase(),
                  onTap: () {},
                ),
              ),
              Container(
                  width: MediaQuery.of(context).size.width * 0.8,
                  child: Button(
                    label: 'Continue'.toUpperCase(),
                    backgroundColor: Colors.green[200],
                    onTap: () {},
                  ))
            ],
          ),
        ));
  }
}
